Eclipse GEF 3.2

## org.eclipse.gef.palette
Class CombinedTemplateCreationEntry

    java.lang.Object
      org.eclipse.gef.palette.PaletteEntry
          org.eclipse.gef.palette.ToolEntry
              org.eclipse.gef.palette.CreationToolEntry
                  org.eclipse.gef.palette.CombinedTemplateCreationEntry

public class CombinedTemplateCreationEntry
extends CreationToolEntry

A combination of a `PaletteTemplateEntry` and `ToolEntry`. The entry will be rendered as a ToolEntry, but it will also be possible to use the entry as a DragSource in the same way as a template.

Field Summary

Fields inherited from class org.eclipse.gef.palette.CreationToolEntry
`factory`

Fields inherited from class org.eclipse.gef.palette.ToolEntry
`PALETTE_TYPE_TOOL`

Fields inherited from class org.eclipse.gef.palette.PaletteEntry
`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

Constructor Summary
`CombinedTemplateCreationEntry(String label, String shortDesc, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)` Constructs an entry with the given creation factory.
`CombinedTemplateCreationEntry(String label, String shortDesc, Object template, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge)` Constructs an entry with the given creation factory and template.

Method Summary
`Object` `getTemplate()` Returns the template object.
`void` `setTemplate(Object template)` Sets the template.

Methods inherited from class org.eclipse.gef.palette.ToolEntry
`createTool, getToolProperties, getToolProperty, setToolClass, setToolProperty`

Methods inherited from class org.eclipse.gef.palette.PaletteEntry
`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CombinedTemplateCreationEntry

    public CombinedTemplateCreationEntry(String label,
                                         String shortDesc,
                                         Object template,
                                         CreationFactory factory,
                                         ImageDescriptor iconSmall,
                                         ImageDescriptor iconLarge)

  Constructs an entry with the given creation factory and template. The creation factory is used by the creation tool when the entry is selected. The template is used with the `TemplateTransferDragSourceListener`.

Parameters:
  `label` - the label
  `shortDesc` - the descriptoin
  `template` - the template object
  `factory` - the CreationFactory
  `iconSmall` - the small icon
  `iconLarge` - the large icon
Since:
  3.2

### CombinedTemplateCreationEntry

    public CombinedTemplateCreationEntry(String label,
                                         String shortDesc,
                                         CreationFactory factory,
                                         ImageDescriptor iconSmall,
                                         ImageDescriptor iconLarge)

  Constructs an entry with the given creation factory. The creation factory is also used as the template object.

Parameters:
  `label` - the label
  `shortDesc` - the description
  `factory` - the creation factory and template
  `iconSmall` - the small icon
  `iconLarge` - the large icon
Since:
  3.2

Method Detail

### getTemplate

    public Object getTemplate()

  Returns the template object.

  Returns:
    Object the template

### setTemplate

    public void setTemplate(Object template)

  Sets the template.

  Parameters:
    `template` - The template

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.